# Restore the newly created db to a specified point in time in the specified db. - CreateUDBInstanceByRecovery

## Overview

Create db, restore the newly created db to a specified point in time in the specified db






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateUDBInstanceByRecovery`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **Name** | string | Instance name, at least 6 characters |**Yes**|
| **SrcDBId** | string | Source Instance's Id |**Yes**|
| **RecoveryTime** | int | Timestamp to restore to a certain point in time (UTC time format, default unit is seconds) |**Yes**|
| **ChargeType** | string | Yearly, Monthly, Dynamic, Trial, Default: Dynamic |No|
| **Quantity** | int | Purchase duration, default value 1 |No|
| **UseSSD** | boolean | Specify whether to use SSD, the default is to use the master library configuration |No|
| **UDBCId** | string | Id of the Zone |No|
| **SubnetId** | string | Subnet ID |No|
| **VPCId** | string | ID of VPC |No|
| **EnableIpV6** | boolean | Whether to create resources using ipv6, the default is false, or not filled in, creating ipv6 is true |No|
| **Tables** | string | Specify the tables to be restored. If this field is specified, only the data of the specified tables will be rolled back. The format is (database name.table name). Specify multiple tables separated by commas, eg: [udb.test, mysql_school.my_student] |No|
| **AdminPassword** | string | Administrator password (valid when rolling back specified database table to a new instance) |No|
| **SpecificationType** | int | The type of instance computing specification, 0 or no transmission means purchasing by memory method, 1 means purchasing by optional memory-cpu ratio method, need to fill in MachineType. |No|
| **MachineType** | string | Specification Type ID, valid when SpecificationType is 1 |No|
| **CouponId** | string | ID of the voucher used |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DBId** | string | db instance id |No|




## Example

### Request Example
    
```
https://api.dezai.com/?Action=CreateUDBInstanceByRecovery
&Region=cn-bj2
&ChargeType=Month   
&Name=udb-xxxxxxx
&SrcDBId=udb-xxxxx
&RecoveryTime=1432806384
&UseSSD=true
&SubnetId=SfBAwgaR
&VPCId=axmBjGuC
&EnableIpV6=true
&Tables=QLdHhoGF
&AdminPassword=CFJHxCUW
&AdminPassword=PFisJMZz
&AdminPassword=SPffecnI
&SpecificationType=yRERufjK
&MachineType=YWsemVcG
```

### Response Example
    
```json
{
  "Action": "CreateUDBInstanceByRecoveryResponse",
  "DBId": "udb-xxxxx",
  "RetCode": 0
}
```





